package de.intevation.flys.artifacts.services;

import de.intevation.artifactdatabase.DefaultService;

import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.GlobalContext;
import de.intevation.artifacts.Service;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

public class FixingsKMChartService
extends      DefaultService
{
    private static final Logger log =
        Logger.getLogger(FixingsKMChartService.class);

    public static final byte [] DATA0 = {
        (byte)0x89, (byte)0x50, (byte)0x4e, (byte)0x47, 
        (byte)0x0d, (byte)0x0a, (byte)0x1a, (byte)0x0a, 
        (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0d, 
        (byte)0x49, (byte)0x48, (byte)0x44, (byte)0x52, 
        (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x1d, 
        (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x1d, 
        (byte)0x04, (byte)0x03, (byte)0x00, (byte)0x00, 
        (byte)0x00, (byte)0xa4, (byte)0xbd, (byte)0x7a, 
        (byte)0x3c, (byte)0x00, (byte)0x00, (byte)0x00, 
        (byte)0x01, (byte)0x73, (byte)0x52, (byte)0x47, 
        (byte)0x42, (byte)0x00, (byte)0xae, (byte)0xce, 
        (byte)0x1c, (byte)0xe9, (byte)0x00, (byte)0x00, 
        (byte)0x00, (byte)0x18, (byte)0x50, (byte)0x4c, 
        (byte)0x54, (byte)0x45, (byte)0xff, (byte)0xff, 
        (byte)0xff, (byte)0x08, (byte)0x08, (byte)0x08, 
        (byte)0x29, (byte)0x29, (byte)0x29, (byte)0x52, 
        (byte)0x52, (byte)0x52, (byte)0x8c, (byte)0x8c, 
        (byte)0x8c, (byte)0xbd, (byte)0xbd, (byte)0xbd, 
        (byte)0xe7, (byte)0xe7, (byte)0xe7, (byte)0x00, 
        (byte)0x00, (byte)0x00, (byte)0xcf, (byte)0x3a, 
        (byte)0xd7, (byte)0x12, (byte)0x00, (byte)0x00, 
        (byte)0x00, (byte)0x09, (byte)0x70, (byte)0x48, 
        (byte)0x59, (byte)0x73, (byte)0x00, (byte)0x00, 
        (byte)0x0b, (byte)0x13, (byte)0x00, (byte)0x00, 
        (byte)0x0b, (byte)0x13, (byte)0x01, (byte)0x00, 
        (byte)0x9a, (byte)0x9c, (byte)0x18, (byte)0x00, 
        (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x74, 
        (byte)0x49, (byte)0x4d, (byte)0x45, (byte)0x07, 
        (byte)0xdc, (byte)0x04, (byte)0x04, (byte)0x0a, 
        (byte)0x32, (byte)0x0f, (byte)0xa3, (byte)0x92, 
        (byte)0x8b, (byte)0x55, (byte)0x00, (byte)0x00, 
        (byte)0x00, (byte)0x2b, (byte)0x49, (byte)0x44, 
        (byte)0x41, (byte)0x54, (byte)0x18, (byte)0xd3, 
        (byte)0x63, (byte)0x60, (byte)0x18, (byte)0x1a, 
        (byte)0x20, (byte)0x0c, (byte)0x95, (byte)0x9b, 
        (byte)0x5c, (byte)0x6e, (byte)0x80, (byte)0xc2, 
        (byte)0x37, (byte)0x2f, (byte)0x2f, (byte)0x41, 
        (byte)0xe1, (byte)0x8b, (byte)0x97, (byte)0x17, 
        (byte)0xa3, (byte)0xf0, (byte)0xd5, (byte)0xd1, 
        (byte)0xf8, (byte)0x81, (byte)0xe5, (byte)0x6a, 
        (byte)0x28, (byte)0x7c, (byte)0x36, (byte)0x97, 
        (byte)0x04, (byte)0x86, (byte)0x61, (byte)0x01, 
        (byte)0x00, (byte)0xf0, (byte)0xaa, (byte)0x06, 
        (byte)0x2d, (byte)0x16, (byte)0xcb, (byte)0xb9, 
        (byte)0x3c, (byte)0x00, (byte)0x00, (byte)0x00, 
        (byte)0x00, (byte)0x49, (byte)0x45, (byte)0x4e, 
        (byte)0x44, (byte)0xae, (byte)0x42, (byte)0x60, 
        (byte)0x82};

    @Override
    public Service.Output process(
        Document      data,
        GlobalContext globalContext,
        CallMeta      callMeta
    ) {
        log.debug("FixingsKMChartService.process");
        return new Output(DATA0, "image/png");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
